Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
exp
/
{year}
/
{month}
GSTR-1A EXP
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/exp/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "exp": [
        {
          "exp_typ": "WPAY",
          "inv": [
            {
              "flag": "N",
              "chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
              "inum": "81542",
              "idt": "12-02-2016",
              "val": 995048.36,
              "sbpcode": "ASB991",
              "sbnum": "7896542",
              "sbdt": "04-10-2016",
              "diff_percent": 0.65,
              "srctyp": "EInvoice",
              "irn": "897ADG56RTY78956HYUG90BNHHIJK453GFTD99845672FDHHHSHGFH4567FG56TR",
              "irngendate": "24-12-2019",
              "itms": [
                {
                  "txval": 10000,
                  "rt": 5,
                  "iamt": 833.33,
                  "csamt": 100
                }
              ]
            }
          ]
        },
        {
          "exp_typ": "WOPAY",
          "inv": [
            {
              "flag": "N",
              "chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
              "inum": "81542",
              "idt": "12-02-2016",
              "val": 995048.36,
              "sbpcode": "ASB881",
              "sbnum": "7896542",
              "sbdt": "04-10-2016",
              "diff_percent": 0.65,
              "srctyp": "EInvoice",
              "irn": "897ADG56RTY78956HYUG90BNHHIJK453GFTD99845672FDHHHSHGFH4567FG56TR",
              "irngendate": "24-12-2019",
              "itms": [
                {
                  "txval": 10000,
                  "rt": 5,
                  "iamt": 325,
                  "csamt": 100
                }
              ]
            }
          ]
        }
      ]
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Response

200 - application/json

Success

The response is of type object.